Changes between Version 10 and Version 11 of PythonOcc/primitives


Ignore:
Timestamp:
Oct 30, 2013, 12:09:19 PM (6 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v10 v11  
    7676
    7777Korak 01: Izdelava točke v prostoru [[Image(Vozlisca.png, right)]]
     78Razlaga ukaza za izdelavo točke [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classgp__Pnt.html gp__Pnt]
    7879{{{
    7980#!python
    8081Tocka = gp_Pnt(x_1 , y_1 , z_1)
    8182}}}
    82 Iz določenih točk lahko naredimo vozlišča:
     83Iz določenih točk lahko naredimo vozlišča. Detajlna razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepLib__MakeVertex.html BRepBuilderAPI__MakeVertex].
    8384{{{
    8485#!python
     
    9293[[BR]][[BR]][[BR]]
    9394
     95
    9496Korak 02: Izdelava robov iz točk
    9597{{{
     
    9799Rob = BRepBuilderAPI_MakeEdge(Zacetna_tocka, Koncna_tocka)
    98100}}}
    99 Za izdelavo roba rabimo dva podatka, to je začetna točka ter končna točka robu. Če hočemo
     101Za izdelavo roba rabimo dva podatka, to je začetna točka ter končna točka robu. Detajlna razlaga
     102uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepLib__MakeEdge.html BRepBuilderAPI__MakeEdge]. Če hočemo
    100103prikazati izdelani rob v modelnem oknu, je potrebno zapisati ukaz:
    101104{{{
     
    115118zaprto obliko. Ukaz nam dovoli sočasno uporabo štirih argumentov- robov. Pri tem moramo
    116119označiti, da gre za obliko roba [Rob.Edge()]. Kot rezultat dobimo združeno mrežo. Detajlna
    117 razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepBuilderAPI__MakeWire.html]
     120razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepBuilderAPI__MakeWire.html BRepBuilderAPI__MakeWire]
    118121Če hočemo prikazati izdelani rob v modelnem oknu, je potrebno zapisati ukaz:
    119122{{{
     
    128131Povrsina = BRepBuilderAPI_MakeFace(Mreza.Wire())
    129132}}}
     133Iz obstoječega zaprtega lika, ki je planaren lahko tvorimo površino. Detajlna razlaga
     134uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepBuilderAPI__MakeFace.html BRepBuilderAPI__MakeFace]
     135Če hočemo prikazati izdelani rob v modelnem oknu, je potrebno zapisati ukaz:
     136{{{
     137#!python
     138display.DisplayShape(Povrsina.Shape())
     139}}}
     140[[BR]][[BR]][[BR]]
    130141
    131142Korak 05: Izdelava izvleka v prostor
     143Izdelano površino lahko uporabimo za izdelavo tridimenzionalne oblike. Če hočemo narediti
     144izvlek, je potrebno najprej določiti še parametre vičine izvleka. V ta namen določimo vektor,
     145ki vsebuje podatek o velikosti in smeri izvleka. Razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classgp__Vec.html gp_Vec].
     146{{{
     147#!python
     148Vektor = gp_Vec(Velikost_X , Velikost_Y, Velikost_Z)
     149}}}
     150Sledi uporaba ukaza za izdelavo izvleka. Pri tem je potrebno uporabiti podatek o površini ter
     151izdelani vektor. Če hočemo, lahko naredimo tudi neskončno dolgi izvlek v prostor, tako da uporabimo
     152zgolj podatek o izbrani smeri namesto določenega vektorja (uporaba pri Boolovi operaciji odštevanja).
     153Razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepFeat__MakePrism.html BRepFeat__MakePrism].
    132154{{{
    133155#!python